package com.incubator.game.util;

import com.incubator.game.player.Player;

/**
 * 自定义结构类
 */
public final class Struct {

    public static class TeammateData {
        public Player player;
        public int rank;
        public TeammateData() {}
        public TeammateData(Player player, int rank) {
            this.player = player;
            this.rank = rank;
        }

        public Player getPlayer() {
            return player;
        }

        public void setPlayer(Player player) {
            this.player = player;
        }

        public int getRank() {
            return rank;
        }

        public void setRank(int rank) {
            this.rank = rank;
        }
    }

    /**
     * 比赛晋级数据
     */
    public static class PromotionData {
        public String playerId;
        public String avatar;
        public int score;
        public long roomId;
        public int rank;
        public boolean isPromotion;
        public PromotionData() {}
        public PromotionData(String playerId, String avatar, int score, int rank, boolean isPromotion) {
            this.playerId = playerId;
            this.avatar = avatar;
            this.score = score;
            this.rank = rank;
            this.isPromotion = isPromotion;
        }

        public String getPlayerId() {
            return playerId;
        }

        public void setPlayerId(String playerId) {
            this.playerId = playerId;
        }

        public int getRank() {
            return rank;
        }

        public void setRank(int rank) {
            this.rank = rank;
        }
    }

}
